Creates a new type

Request Information

URI Parameters :

None.

Body Parameters :

company_type
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the type

string

Required

description

Description of the type

string
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization

Request Formats :

application/json, text/json

Sample:
{
  "id": "22ba1c0d-78fb-4ab7-a152-6b43859c41cb",
  "name": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "9ab7f31a-f4ca-4d2b-afd7-fc349d65e1e8",
  "sales_organization_code": "sample string 5"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.